End of Life (EOL) Policy

Effective as of November 1, 2019.

General Policy

API versions will be deprecated 12 months after the release of a new version.

  • At the time of the new release, a notification will be sent to all teams that a new version is available including the change log of what was added or fixed.
  • At 12 months, the deprecated API version may be blocked from connecting to the service.

SDK versions will be deprecated 12 months after the release of a new major or minor version.

  • At the time of the new release, Jahuty will publish the release in the SDK's public repository and will update the changelog to reflect what was modified.
  • At 12 months, the deprecated SDK versions will no longer be supported and applications using the older versions may no longer receive flag updates.

Priority Upgrade Policy

A priority upgrade will be required if there is an issue discovered that impacts Jahuty's ability to maintain quality of delivery of our service. If a priority upgrade is required for the API or an SDK, the old versions will be supported to 6 months from the time of release of the new version, if a solution can be put in place to protect customer data and Jahuty service delivery.

  • At the time of the new release, a notification will be sent to all teams using the existing API version or specific SDK that a new version is available to address a critical issue and include appropriate details of the impact of the critical issue. This notification will also outline the timeline for required action. The request will be made to upgrade to the new version as soon as possible with an offer of assistance from Support.
  • After 6 months the deprecated API version may be blocked from connecting to the service. Deprecated SDK versions will no longer be supported and applications using the older version may no longer receive flag updates.

Critical Upgrade Policy

A critical upgrade will be limited to changes that are required to remediate security and/or data protection or loss issues. If a critical upgrade is required for the API or an SDK, the old versions will be immediately deprecated at the time of release of the new version.

  • Connections from previous version may be refused immediately.
  • At the time of the new release, a notification will be sent to all teams using the existing API version or specific SDK that a new version is available to address a critical issue and include appropriate details of the impact of the critical issue. Instructions will be provided on how to upgrade to the new version as soon as possible with an offer of assistance from support.
  • Technical support and Customer Success will work with all affected teams until upgrades are completed.

Current Supported API Versions

Version Release date EOL
v1 2019-11-01 Current

Current Supported SDK Versions

SDK Version Release date EOL
PHP 4.0.x 2020-07-04 Current
PHP 3.1.x 2020-03-15 2020-07-04
Ruby 1.1.x 2020-03-14 Current
Ruby 1.0.0 2020-03-08 2021-04-01